# std::experimental::pmr::memory_resource::is_equal

From cppreference.com
< cpp‎ | experimental‎ | memory resource

bool is_equal(const memory_resource& other) const; |  | (library fundamentals TS)

Compares `*this` for equality with `other`. Two `memory_resource`s compare equal if and only if memory allocated from one `memory_resource` can be deallocated from the other and vice versa.

Equivalent to return do_is_equal(other);.

### Exceptions

`noexcept` specification:
noexcept

### See also

do_is_equal [virtual] | compare for equality with another `memory_resource` (virtual protected member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/memory_resource/is_equal&oldid=91848"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template